from ploneintranet.core import _
from ploneintranet.news.vocabularies.factory import StaticVocabularyFactory
from zope.schema.vocabulary import SimpleTerm

AspectRatioVocabulary = StaticVocabularyFactory(
    # These labels intentionally deviate from prototype, since we consider the proto
    # provided terms too obtuse; this avoids proto translations taking precedence
    SimpleTerm(
        value="cropped", title=_("label_news_hero_cropped", default="Optimal (cropped)")
    ),
    SimpleTerm(
        value="uncropped",
        title=_("label_news_hero_uncropped", default="Full height (uncropped)"),
    ),
)
